Bug 1228016 - aria2 can't download from https sites (SSL initialization failed: The request is invalid.)
Summary: aria2 can't download from https sites (SSL initialization failed: The request...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: aria2
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Othman Madjoudj
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-04 05:40 UTC by uh.linux
Modified: 2019-05-01 17:06 UTC (History)
2 users (show)

Fixed In Version: aria2-1.18.10-2.el7.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-22 16:47:05 UTC


Attachments (Terms of Use)

Description uh.linux 2015-06-04 05:40:55 UTC
Description of problem:

Aria2c from epel can't donwload from any https resource. Http is ok. 
Other utilities like wget wirking fine.

Version-Release number of selected component (if applicable):
aria2 version 1.18.10
Centos 7.1.1503

How reproducible:

Start any https download from google drive, dropbox, any htts site.


Steps to Reproduce:
1. aria2c https://aur.archlinux.org/packages/li/linux-libre-pae/PKGBUILD
2. aria2c https://www.linux.org.ru/tango/img/info-logo.png

Actual results:

Got errors
----
1
----
    06/03 09:57:00 [ERROR] CUID#6 - Download aborted. URI=https://aur.archlinux.org/packages/li/linux-libre-pae/PKGBUILD
    Exception: [AbstractCommand.cc:350] errorCode=1 URI=https://aur.archlinux.org/packages/li/linux-libre-pae/PKGBUILD
      -> [SocketCore.cc:850] errorCode=1 SSL initialization failed: The request is invalid.

    06/03 09:57:00 [NOTICE] Download GID#70b16bf7c57baf04 not complete:

    Download Results:
    gid   |stat|avg speed  |path/URI
    ======+====+===========+=======================================================
    70b16b|ERR |       0B/s|https://aur.archlinux.org/packages/li/linux-libre-pae/PKGBUILD

    Status Legend:
    (ERR):error occurred.


----
2
----
aria2c https://www.linux.org.ru/tango/img/info-logo.png

06/04 08:38:29 [ERROR] CUID#6 - Download aborted. URI=https://www.linux.org.ru/tango/img/info-logo.png
Exception: [AbstractCommand.cc:350] errorCode=1 URI=https://www.linux.org.ru/tango/img/info-logo.png
  -> [SocketCore.cc:850] errorCode=1 SSL initialization failed: The request is invalid.

06/04 08:38:29 [NOTICE] Download GID#605ac25ebd536b8d not complete: 

Download Results:
gid   |stat|avg speed  |path/URI
======+====+===========+=======================================================
605ac2|ERR |       0B/s|https://www.linux.org.ru/tango/img/info-logo.png

Status Legend:
(ERR):error occurred.



Expected results:
I just want to download my precious files.

Additional info:
Please help.

Comment 1 Othman Madjoudj 2015-06-04 23:23:30 UTC
Could you check with the following build:


http://koji.fedoraproject.org/koji/taskinfo?taskID=9950490

RPM: https://kojipkgs.fedoraproject.org//work/tasks/490/9950490/aria2-1.18.10-2.el7.1.x86_64.rpm

Tests HTTPS:

# rpm -q aria2
aria2-1.18.10-2.el7.1.x86_64

# aria2c 'https://google.com'

06/05 00:22:46 [NOTICE] File already exists. Renamed to /root/index.html.2.

06/05 00:22:46 [NOTICE] Download complete: /root/index.html.2

Download Results:
gid   |stat|avg speed  |path/URI
======+====+===========+=======================================================
6d6002|OK  |    30KiB/s|/root/index.html.2

Status Legend:
(OK):download completed.

Comment 2 uh.linux 2015-06-05 03:46:17 UTC
It works! Thank you.

Comment 3 Fedora Update System 2015-06-05 09:45:48 UTC
aria2-1.18.10-2.el7.1 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/aria2-1.18.10-2.el7.1

Comment 4 Fedora Update System 2015-06-06 23:55:31 UTC
Package aria2-1.18.10-2.el7.1:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing aria2-1.18.10-2.el7.1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6580/aria2-1.18.10-2.el7.1
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-06-22 16:47:05 UTC
aria2-1.18.10-2.el7.1 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Dmitriy Rabotjagov 2019-05-01 09:31:21 UTC
Hi,

Seems, that problem appeared again:
[root@centos-test clouduser]# aria2c https://www.linux.org.ru/tango/img/info-logo.png

05/01 09:29:31 [NOTICE] Downloading 1 item(s)

05/01 09:29:31 [ERROR] CUID#7 - Download aborted. URI=https://www.linux.org.ru/tango/img/info-logo.png
Exception: [AbstractCommand.cc:351] errorCode=1 URI=https://www.linux.org.ru/tango/img/info-logo.png
  -> [SocketCore.cc:932] errorCode=1 SSL initialization failed: The request is invalid.

05/01 09:29:31 [NOTICE] Download GID#8abe295cdcdc487d not complete: 

Download Results:
gid   |stat|avg speed  |path/URI
======+====+===========+=======================================================
8abe29|ERR |       0B/s|https://www.linux.org.ru/tango/img/info-logo.png

Status Legend:
(ERR):error occurred.

aria2 will resume download if the transfer is restarted.
If there are any errors, then see the log file. See '-l' option in help/man page for details.
[root@centos-test clouduser]# yum info aria2
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: mirror.cs.pitt.edu
 * extras: mirror.trouble-free.net
 * updates: mirrors.rit.edu
Installed Packages
Name        : aria2
Arch        : x86_64
Version     : 1.34.0
Release     : 4.el7
Size        : 4.4 M
Repo        : installed
From repo   : epel-lxc_hosts
Summary     : High speed download utility with resuming and segmented downloading
URL         : http://aria2.github.io/
License     : GPLv2+ with exceptions
Description : aria2 is a download utility with resuming and segmented downloading.
            : Supported protocols are HTTP/HTTPS/FTP/BitTorrent. It also supports Metalink
            : version 3.0.
            : 
            : Currently it has following features:
            : - HTTP/HTTPS GET support
            : - HTTP Proxy support
            : - HTTP BASIC authentication support
            : - HTTP Proxy authentication support
            : - FTP support(active, passive mode)
            : - FTP through HTTP proxy(GET command or tunneling)
            : - Segmented download
            : - Cookie support
            : - It can run as a daemon process.
            : - BitTorrent protocol support with fast extension.
            : - Selective download in multi-file torrent
            : - Metalink version 3.0 support(HTTP/FTP/BitTorrent).
            : - Limiting download/upload speed

[root@centos-test clouduser]# cat /etc/yum.repos.d/epel-lxc_hosts.repo 
[epel-lxc_hosts]
name='Extra Packages for Enterprise Linux 7 - $basearch'
baseurl=http://download.fedoraproject.org/pub/epel/7/$basearch/
gpgcheck=1
enabled=1
gpgkey=http://download.fedoraproject.org/pub/epel/RPM-GPG-KEY-EPEL-7
[root@centos-test clouduser]#

Comment 7 Othman Madjoudj 2019-05-01 17:06:45 UTC
Please see #1704413, the fixed version is i epel7-testing


Note You need to log in before you can comment on or make changes to this bug.